package com.brilliance.isc.convert.mt9xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT299Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT999Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import org.apache.xmlbeans.impl.xb.xsdschema.Public;
import org.junit.Test;
import sun.applet.Main;

import java.util.Objects;

public class Mt999Test {
    @Test
    public void mt999_Test(){
        //构造参数传入MT报文类型
        MT999Creator mt999Creator=new MT999Creator("299");
        mt999Creator.setSendBic("PSBCCNBJXXX");
        mt999Creator.setRecvBic("CIPSCNSHXXX");
        mt999Creator.setTransactionReferenceNumber("12345678");  //20 16x
        mt999Creator.setRelatedReference("rr111111");    ////21 16x
        mt999Creator.setNarrative("message9999");   //79 35*50x

        MtResult mtResult = MtCreatorManager.packMT(mt999Creator);
    }

    @Test
    public void mt99902_Test(){
        //构造参数传入MT报文类型
        MT999Creator mt999Creator=new MT999Creator("299");
        mt999Creator.setSendBic("PSBCCNBJXXX");
        mt999Creator.setRecvBic("CIPSCNSHXXX");
        mt999Creator.setTransactionReferenceNumber("infoddddddddddddddddddddd");  //20 16x
        mt999Creator.setRelatedReference("info");    ////21 16x
        mt999Creator.setNarrative("info");   //79 35*50x

        MtResult mtResult = MtCreatorManager.packMT(mt999Creator);
    }
}
